/*
 * fig.h - Generate FIG output for Eeschema items
 *
 * Written 2016 by Werner Almesberger
 * Copyright 2016 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef FIG_H
#define	FIG_H

#include "text.h"


enum fig_shape {
	fig_unspec,	// UnSpc
	fig_in,		// Input
	fig_out,	// Output
	fig_tri,	// 3State
	fig_bidir,	// Bidirectional
};


/* schematics */

void fig_wire(int sx, int sy, int ex, int ey);
void fig_line(int sx, int sy, int ex, int ey);

/* general */

void fig_rect(int sx, int sy, int ex, int ey,
    int color, int fill_color, unsigned layer);
void fig_poly(int points, int x[points], int y[points],
    int color, int fill_color, unsigned layer);
void fig_circ(int x, int y, int r, int color, int fill_color, unsigned layer);
void fig_arc(int x, int y, int r, int sa, int ea,
    int color, int fill_color, unsigned layer);
void fig_text(int x, int y, const char *s, unsigned size,
    enum text_align align, int rot, unsigned color, unsigned layer);

/* inititalization */

void fig_init(const char *template, int n_vars, const char **vars);

#endif /* !FIG_H */
